Loading...
Searching...
No Matches
checkers-inl.h File Reference

Definitions for URL specific checkers used within Ada. More...

`#include <bit>`
`#include <string_view>`
`#include "ada/checkers.h"`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::checkers
| Includes the definitions for validation functions.

## Functions

constexpr bool | ada::checkers::has_hex_prefix_unsafe (std::string_view input)
constexpr bool | ada::checkers::has_hex_prefix (std::string_view input)
constexpr bool | ada::checkers::is_digit (char x) noexcept
constexpr char | ada::checkers::to_lower (char x) noexcept
constexpr bool | ada::checkers::is_alpha (char x) noexcept
constexpr bool | ada::checkers::is_windows_drive_letter (std::string_view input) noexcept
constexpr bool | ada::checkers::is_normalized_windows_drive_letter (std::string_view input) noexcept
ada_really_inline constexpr uint64_t | ada::checkers::try_parse_ipv4_fast (std::string_view input) noexcept

## Detailed Description

Definitions for URL specific checkers used within Ada.

Definition in file checkers-inl.h.